View Issue Details

IDProjectCategoryView StatusLast Update
0022246mantisbtmarkdownpublic2017-03-20 04:49
ReporterjoelAssigned Tojoel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.1.0 
Target Version2.2.1Fixed in Version2.2.1 
Summary0022246: Markdown is converting '&' signs to (ampersand[amp;]) inside code block or backtick as well
Description

Markdown is converting '&' signs to actual Entity Name inside the code block

Steps To Reproduce

& without backtick

& in backtick: &

&
TagsNo tags attached.

Relationships

has duplicate 0022242 closeddregad Markdown converting '&' within links to '&' 
related to 0022315 assignedjoel Markdown converts " to " within code blocks and inline code 
related to 0022545 closeddregad Markdown still converting '& amp;' to & and '& lt;' to < 
child of 0022180 new Markdown issues following implementation in 0017920 

Activities

Related Changesets

MantisBT: master-2.2 06d744ed

2017-02-24 21:42:58

Joel C. Llano


Committer: dregad Details Diff
Fix markdown converting '&' signs to '&'

This happens inside the code block and 'a' inline element

Moved logic removing the html entity '&' from
MantisCoreFormattingPlugin into MantisMarkdown Extention and added
comments to explain the custom logic method.

Fixes 0022246

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - plugins/MantisCoreFormatting/MantisCoreFormatting.php Diff File
mod - plugins/MantisCoreFormatting/core/MantisMarkdown.php Diff File

Issue History

Date Modified Username Field Change
2017-01-25 03:36 joel New Issue
2017-01-25 03:36 joel Status new => assigned
2017-01-25 03:36 joel Assigned To => joel
2017-01-25 03:38 joel Relationship added child of 0022180
2017-01-25 03:40 joel Relationship added related to 0022242
2017-01-25 04:04 joel Summary Markdown is converting '&' signs to '&' inside code block or backtick as well => Markdown is converting '&' signs to (ampersand[amp;]) inside code block or backtick as well
2017-01-25 04:04 joel Description Updated View Revisions
2017-01-25 04:04 joel Steps to Reproduce Updated View Revisions
2017-01-26 19:33 joel Note Added: 0055356
2017-02-19 08:32 joel Relationship added related to 0022315
2017-03-04 08:29 dregad Relationship replaced has duplicate 0022242
2017-03-04 14:09 dregad Changeset attached => MantisBT master-2.2 06d744ed
2017-03-04 14:09 dregad Assigned To joel => dregad
2017-03-04 14:09 dregad Status assigned => resolved
2017-03-04 14:09 dregad Resolution open => fixed
2017-03-04 14:10 dregad Assigned To dregad => joel
2017-03-04 14:10 dregad Fixed in Version => 2.2.1
2017-03-04 14:10 dregad Target Version => 2.2.1
2017-03-04 14:10 dregad Product Version => 2.1.0
2017-03-12 19:23 vboctor Status resolved => closed
2017-03-20 04:49 atrol Relationship added related to 0022545